import { h, Component } from 'preact';
import { Router, route } from 'preact-router';
import WBTabs from 'wb-tabs';
import WBTable from 'wb-table';
import WBPagination from 'wb-pagination';
import WBProjectListing from 'wb-project-listing';
import WBNavbar from 'wb-navbar';
import WBBrowse from 'wb-browse';

class WBApp extends Component {
  render({}, { activePage }) {
    return (
      <Router>
        <div path="/">
          Hello, world!
        </div>

        <div path="/login">
          <WBNavbar />
        </div>

        <WBBrowse path="/browse/:ownerUuid?" />
      </Router>
    );
  }
}

export default WBApp;
